.ce-gene {
    font-style: italic;
}

.main-content {
    display: block;
    max-width: 100%;
    transition: .2s cubic-bezier(0.4, 0, 0.2, 1);
}

.spinner {
    position: absolute;
    top: 50%;
    left: 20%;
    width: 60%;
    height: 4rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.spinner-grow {
    display: inline-block;
    vertical-align: -0.125rem;
    border-radius: 50%;
    animation: 0.75s linear infinite spinner-grow;
    background-color: currentcolor;
    opacity: 0;
}

@keyframes spinner-grow {
    0% {
        transform: scale(0);
    }

    50% {
        opacity: 1;
        transform: none;
    }
}

.notify {
    position: absolute;
    top: 20%;
    left: 30%;
    width: 40%;
    display: flex;
    justify-content: center;
}

.v-container {
    width: 100%;
    margin: 0.75rem 0;
    display: flex;
    height: var(--bs-card-height);
    color: #212529;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, 0.175);
    border-radius: 0.375rem;
    flex-direction: column;
}

.v-container-header {
    padding: 0.5rem 0.75rem;
    margin-bottom: 0;
    background-color: #21252908;
    border-bottom: 1px solid rgba(0, 0, 0, 0.175);
}

.v-row {
    display: flex;
    align-items: center;
}

.v-container-body {
    flex: 1 1 auto;
    padding: 0.875rem 1rem;
}

.v-badge {
    float: left;
    border-radius: 50%;
    background-color: #454545;
    padding: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: initial;
}

.title {
    font-size: 1.25rem;
    font-weight: bold;
    padding-right: 1rem;
}

.comment {
    color: grey;
    font-size: 0.875rem;
    font-style: normal;
    padding-left: 0.875rem;
}

.align-right {
    display: flex;
    align-items: center;
    margin: 0 0 0.25rem auto;
}

.reference {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.reference a {
    font-size: 0.875rem;
    color: black;
    display: flex;
    align-items: center;
    text-decoration: underline dotted;
}

.reference img {
    width: 1rem;
    height: 1rem;
    margin: 0 0.375rem;
}

.reference img:hover {
    opacity: 0.7;
}

.favorited {
    color: #EC9828;
}

.v-accordion-item {
    flex: 1 1 auto;
    max-width: 100%;
    margin-bottom: 0.5rem;
}

.v-accordion-header {
    display: flex !important;
    margin: 0 0.75rem;
    cursor: pointer;
    border-radius: 0.25rem;
    align-items: center;
}

.v-accordion-header:hover {
    background-color: rgb(236, 236, 236);
}

.v-accordion-indicator {
    align-items: center;
    color: inherit;
    display: flex;
    flex: 1 0 auto;
    justify-content: inherit;
    line-height: normal;
    position: relative;
    min-height: 0;
    min-width: 0;
    padding: 0;
    transform: rotate(0deg);
    transition: transform 0.3s ease-in-out;
}

.v-accordion-header .expand {
    transform: rotate(-180deg);
    transition: transform 0.3s ease-in-out;
}

.v-accordion-body {
    margin: 0.5rem;
    padding: 0 1rem;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-out;
}

.v-select {
    display: block;
    width: fit-content;
    padding: 0.25rem 0.75rem 0.25rem 1.25rem;
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.25;
    color: #212529;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.v-select:focus {
    border-color: #86b7fe;
    outline: 0;
}

.tip-all-strain {
    background-color: #e9ecef !important;
    border: 1px solid #ced4da;
    border-radius: 0.375rem;
    padding: 0 0.25rem !important;
    cursor: pointer;
}
